.\"	$NetBSD: mem.4,v 1.7 2003/04/06 19:29:41 wiz Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)mem.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt MEM 4 vax
.Os
.Sh NAME
.Nm mem ,
.Nm kmem ,
.Nm kUmem
.Nd memory files
.Sh DESCRIPTION
The special file
.Nm /dev/mem
is an interface to the physical memory of the computer.
Byte offsets in this file are interpreted as physical memory addresses.
Reading and writing this file is equivalent to reading and writing
memory itself.
Only offsets within the bounds of
.Nm /dev/mem
are allowed.
.Pp
Kernel virtual memory is accessed through the interface
.Nm /dev/kmem
in the same manner as
.Nm /dev/mem .
Only kernel virtual addresses that are currently mapped to memory are allowed.
.Pp
The file
.Nm /dev/kUmem
also refers to kernel virtual memory,
but may be used to access areas mapped to
.Tn UNIBUS
address space
and other
.Tn I/O
areas.
It forces all accesses to use word (short integer) accesses.
.Pp
On the
.Tn VAX-11/780 ,
the
.Tn I/O
space base address is
20000000(16);
on an 11/750
the
.Tn I/O
space addresses are of the form fxxxxx(16).
On all
.Tn VAX Ns 'en
the
per-process data
size
for the current process
is
.Dv UPAGES
long and ends at the virtual address 80000000(16).
.Sh FILES
.Bl -tag -width Pa -compact
.It Pa /dev/mem
.It Pa /dev/kmem
.It Pa /dev/kUmem
.El
.Sh HISTORY
The
.Nm mem ,
.Nm kmem
files appeared in
.At v6 .
The file
.Nm kUmem
appeared in
.Bx 3.0 .
